from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSpellAlternatives(XInterface, Protocol):
    def getWord(self) -> str: ...
    def getLocale(self) -> Locale: ...
    def getFailureType(self) -> int: ...
    def getAlternativesCount(self) -> int: ...
    def getAlternatives(self) -> list[str]: ...
